モジュール | XOOPS Cube日本サイト http://xoopscube.jp/module?category_id=86 最近更新されたプロジェクト Plugg for XOOPS Cube Legacy http://xoopscube.jp/module/379 【Pluggとは】Pluggとはウェブアプリケーションプラットフォームです。管理画面よりプラグインと呼ばれる各種アプリケーションをインストールしていくことで様々な機能を追加することが可能です。Pluggでは簡単なJavascriptライブラリからフォーラムのような比較的大きめのアプリケーションまで、全てがプラグインとして構築されています。また、プラグイン間の連携が容易であるため、プラグイン同士で相互に機能を拡張したり補完したりすることが可能です。Plugg for XOOPS Cube Legacy(以下Plugg for XCL)はXOOPS Cubeのモジュールとして動作します。Plugg for XCLをXOOPS Cubeのモジュールとしてインストールすることで、Pluggの各種プラグインをXOOPS Cube上で動作させることが可能になります。Pluggは現時点ではXOOPS Cubeのモジュールとしてのみの提供となりますが、今後はXOOPSおよびImpressCMSのモジュール、そしてWordPressのプラグインとしても提供していく予定です。Pluggの各プラグインは、Pluggが動作する環境であればコードの変更なしに様々なプラットフォーム上にインストールすることが可能です。つまり、各プラグインはハック等の必要なしにXOOPS Cube、XOOPS、ImpressCMS、WordPress等のプラットフォームとなるCMSを問わずに動作させることが可能です。一度開発されたプラグインはPluggが動作する環境であれば改変の必要がないため、開発者にとっても大きなメリットになります。【必要システム】Plugg for XCLをインストールするには下記のシステム構成が必要となります。XOOPS Cube Legacy(EUC-JP/UTF-8)PHP 5.2以上(ただし5.3.xは未テストです)MySQL 4.0以上(5.0以上をお勧めします)

【Pluggとは】

Pluggとはウェブアプリケーションプラットフォームです。管理画面よりプラグインと呼ばれる各種アプリケーションをインストールしていくことで様々な機能を追加することが可能です。Pluggでは簡単なJavascriptライブラリからフォーラムのような比較的大きめのアプリケーションまで、全てがプラグインとして構築されています。また、プラグイン間の連携が容易であるため、プラグイン同士で相互に機能を拡張したり補完したりすることが可能です。

Plugg for XOOPS Cube Legacy(以下Plugg for XCL)はXOOPS Cubeのモジュールとして動作します。Plugg for XCLをXOOPS Cubeのモジュールとしてインストールすることで、Pluggの各種プラグインをXOOPS Cube上で動作させることが可能になります。

Pluggは現時点ではXOOPS Cubeのモジュールとしてのみの提供となりますが、今後はXOOPSおよびImpressCMSのモジュール、そしてWordPressのプラグインとしても提供していく予定です。

Pluggの各プラグインは、Pluggが動作する環境であればコードの変更なしに様々なプラットフォーム上にインストールすることが可能です。つまり、各プラグインはハック等の必要なしにXOOPS Cube、XOOPS、ImpressCMS、WordPress等のプラットフォームとなるCMSを問わずに動作させることが可能です。一度開発されたプラグインはPluggが動作する環境であれば改変の必要がないため、開発者にとっても大きなメリットになります。

【必要システム】

Plugg for XCLをインストールするには下記のシステム構成が必要となります。

  • XOOPS Cube Legacy(EUC-JP/UTF-8)
  • PHP 5.2以上(ただし5.3.xは未テストです)
  • MySQL 4.0以上(5.0以上をお勧めします)
]]>
onokazu 2010-06-08T00:00+09:00